package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.ChargeDetails;

/**
 * 工单收费详情Mapper接口
 * 
 * @author ruoyi
 * @date 2025-05-12
 */
public interface ChargeDetailsMapper 
{
    /**
     * 查询工单收费详情
     * 
     * @param id 工单收费详情主键
     * @return 工单收费详情
     */
    public ChargeDetails selectChargeDetailsById(Long id);

    /**
     * 查询工单收费详情列表
     * 
     * @param chargeDetails 工单收费详情
     * @return 工单收费详情集合
     */
    public List<ChargeDetails> selectChargeDetailsList(ChargeDetails chargeDetails);

    /**
     * 新增工单收费详情
     * 
     * @param chargeDetails 工单收费详情
     * @return 结果
     */
    public int insertChargeDetails(ChargeDetails chargeDetails);

    /**
     * 修改工单收费详情
     * 
     * @param chargeDetails 工单收费详情
     * @return 结果
     */
    public int updateChargeDetails(ChargeDetails chargeDetails);

    /**
     * 删除工单收费详情
     * 
     * @param id 工单收费详情主键
     * @return 结果
     */
    public int deleteChargeDetailsById(Long id);

    /**
     * 批量删除工单收费详情
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteChargeDetailsByIds(Long[] ids);

    void deleteChargeDetailsByOrderId(String orderId);
}
